@mixin uc-abs-center-x{
	position: absolute;
	left: 50%;
	transform: translateX( -50% );
}

/* Position an element absolutely, centered at the bottom */
@mixin uc-absolute-bottom-center{
	@include uc-abs-center-x;
	bottom: 0;
}

@mixin uc-absolute-below-center{
	@include uc-abs-center-x;
	top: 100%;
}


/* Position an element absolutely, centered */
@mixin uc-absolute-center{
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translateX( -50% ) translateY( -50% )
}

/* Adjust an element's style to account for the WP admin bar */
@mixin uc-adminbar-adjust( $selector, $property: 'margin-top', $adjustment: false ){
	$xs: map-get( $WP_ADMIN_BAR_SIZE, 'xs' );
	$up: map-get( $WP_ADMIN_BAR_SIZE, 'up' );

	@if( $adjustment ){
		$xs: calc( #{$xs} #{$adjustment} );
		$up: calc( #{$up} #{$adjustment} );
	}

	.admin-bar #{$selector}{
		#{$property}: $xs;

		@media( min-width: $WP_ADMIN_BAR_BREAKPOINT ){
			#{$property}: $up;
		}
	}
}

/* Sticky top (from BS, but ensures responsive versions use the same ruleset) */
@mixin uc-sticky-top{
	@supports (position: sticky) {
		position: sticky;
		top: 0;
		z-index: $zindex-sticky;
	}	  
}

@mixin uc-border-y{
	@extend .border-top;
	@extend .border-bottom;
}

@mixin uc-border-x{
	@extend .border-left;
	@extend .border-right;
}